From 25fa8054c1c5fe1f7b7eb4a18fa40050c37febdc Mon Sep 17 00:00:00 2001
From: Alexander Korotkov <akorotkov@postgresql.org>
Date: Tue, 6 Aug 2024 04:26:44 +0300
Subject: [PATCH v3 2/3] Improve header comment for WaitLSNSetLatches()

Reflect the fact that we remove waiters from the heap, not just set their
latches.
---
 src/backend/commands/waitlsn.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/backend/commands/waitlsn.c b/src/backend/commands/waitlsn.c
index deefbd458c0..d9cf9e7d75e 100644
--- a/src/backend/commands/waitlsn.c
+++ b/src/backend/commands/waitlsn.c
@@ -147,8 +147,9 @@ deleteLSNWaiter(void)
 }
 
 /*
- * Set latches of LSN waiters whose LSN has been replayed.  Set latches of all
- * LSN waiters when InvalidXLogRecPtr is given.
+ * Remove waiters whose LSN has been replayed from the heap and set their
+ * latches.  If InvalidXLogRecPtr is given, remove all waiters from the heap
+ * and set latches for all waiters.
  */
 void
 WaitLSNSetLatches(XLogRecPtr currentLSN)
-- 
2.39.3 (Apple Git-146)

